MediaWiki:Tables.css: Difference between revisions

Jump to navigation Jump to search
Created page with ":root :is(.theme-fandomdesktop-light, .theme-fandommobile-light) { --theme-vo-pill-background-color: rgba(0, 0, 0, .1); } :root :is(.theme-fandomdesktop-dark, .theme-fandommobile-dark) { --theme-vo-pill-background-color: rgba(255, 255, 255, .1); } table header and cell alignment: :is(.skin-fandomdesktop, .skin-fandommobile) .mw-parser-output :is(.article-table, .wikitable, .fandom-table) tr :is(td, th) { text-align: inherit; padding: 0.2em 0.4em; } /* allow ce..."
 
Kuhlau (talk | contribs)
update for skin
Line 1: Line 1:
:root :is(.theme-fandomdesktop-light, .theme-fandommobile-light) {
:root :is(.wgl-lightmode, .wgl-theme-light) {
--theme-vo-pill-background-color: rgba(0, 0, 0, .1);
--theme-vo-pill-background-color: rgba(0, 0, 0, .1);
}
}
:root :is(.theme-fandomdesktop-dark, .theme-fandommobile-dark) {
:root :is(.wgl-darkmode, .wgl-theme-dark) {
--theme-vo-pill-background-color: rgba(255, 255, 255, .1);
--theme-vo-pill-background-color: rgba(255, 255, 255, .1);
}
}


/* table header and cell alignment */
/* table header and cell alignment */
:is(.skin-fandomdesktop, .skin-fandommobile) .mw-parser-output :is(.article-table, .wikitable, .fandom-table) tr :is(td, th) {
:is(.skin-vector-legacy, .skin-minerva) .mw-parser-output :is(.article-table, .wikitable, .fandom-table) tr :is(td, th) {
text-align: inherit;
text-align: inherit;
padding: 0.2em 0.4em;
padding: 0.2em 0.4em;
Line 13: Line 13:


/* allow cell-specific align override */
/* allow cell-specific align override */
:is(.skin-fandomdesktop, .skin-fandommobile) .mw-parser-output :is(.article-table, .wikitable, .fandom-table) tr :is(td, th).align-center {
:is(.skin-vector-legacy, .skin-minerva) .mw-parser-output :is(.article-table, .wikitable, .fandom-table) tr :is(td, th).align-center {
text-align: center;
text-align: center;
}
}
:is(.skin-fandomdesktop, .skin-fandommobile) .mw-parser-output :is(.article-table, .wikitable, .fandom-table) tr :is(td, th).align-left {
:is(.skin-vector-legacy, .skin-minerva) .mw-parser-output :is(.article-table, .wikitable, .fandom-table) tr :is(td, th).align-left {
text-align: left;
text-align: left;
}
}
:is(.skin-fandomdesktop, .skin-fandommobile) .mw-parser-output :is(.article-table, .wikitable, .fandom-table) tr :is(td, th).align-right {
:is(.skin-vector-legacy, .skin-minerva) .mw-parser-output :is(.article-table, .wikitable, .fandom-table) tr :is(td, th).align-right {
text-align: right;
text-align: right;
}
}
Line 132: Line 132:


/* light mode colors */
/* light mode colors */
body:is(.theme-fandomdesktop-light, .theme-fandommobile-light) {
body:is(.wgl-lightmode, .wgl-theme-light) {
/* force background color on wikitables */
/* force background color on wikitables */
.mw-datatable > :is(tbody, thead) > tr > th,
.mw-datatable > :is(tbody, thead) > tr > th,
Line 187: Line 187:


/* dark mode colors */
/* dark mode colors */
body:is(.theme-fandomdesktop-dark, .theme-fandommobile-dark) {
body:is(.wgl-darkmode, .wgl-theme-dark) {
/* force background color on wikitables */
/* force background color on wikitables */
.mw-datatable > :is(tbody, thead) > tr > th,
.mw-datatable > :is(tbody, thead) > tr > th,
Line 734: Line 734:


/* Fix tracking column in mobile */
/* Fix tracking column in mobile */
.skin-fandommobile .table-progress-tracking-header {
.skin-minerva .table-progress-tracking-header {
width: 34px;
width: 34px;
.header_icon p {width: min-content; justify-content: center;}
.header_icon p {width: min-content; justify-content: center;}